tic
broj_tacaka=100;

tacke=2*rand(2,broj_tacaka)-1;
rastojanje=tacke(1,:).^2+tacke(2,:).^2;
u_krugu=rastojanje<1;

broj_pi=4*sum(u_krugu)/broj_tacaka;
greska=4*sqrt(var(u_krugu)/broj_tacaka);
fprintf ( 1, 'Vrednost broja pi je: %f+-%f \n', broj_pi,greska);

van_kruga=~u_krugu;
figure
plot(tacke(1,u_krugu),tacke(2,u_krugu),'b.')
hold on
plot(tacke(1,van_kruga),tacke(2,van_kruga),'r.')
axis square
toc